Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/devices \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"devices": {
"id": "<string>",
"name": "<string>",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"claimed_by": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"is_busy": true
}
}
}List all available devices.
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/pos/devices \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"devices": {
"id": "<string>",
"name": "<string>",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"claimed_by": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"is_busy": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?